/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        24.10.2007
 Description:    Webserver Applikation
----------------------------------------------------------------------------*/

#include "telnetd.h"

//----------------------------------------------------------------------------
//Initialisierung des telnetd Testservers
void telnetd_init (void)
{
	//Serverport und Anwendung in TCP Anwendungsliste eintragen
	add_tcp_app (23, (void(*)(unsigned char))telnetd);
}


//----------------------------------------------------------------------------
//telnet Testserver
void telnetd (unsigned char index)
{
	DEBUG("TELNET Anwendung gestartet\r\n");
	
	if (tcp_entry[index].app_status == 0)
	{	
		memmove(&eth_buffer[TCP_DATA_START],
				"PASSWORT:",9);
		create_new_tcp_packet(9,index);
		return;
	}	
	
	if (tcp_entry[index].app_status > 0)
	{
		tcp_entry[index].time = TCP_TIME_OFF;
		if (eth_buffer[TCP_DATA_START] == 0x03)
		{
			tcp_Port_close(index);
			return;
		}
		tcp_entry[index].app_status = 2;
		usart_write("%c",eth_buffer[TCP_DATA_START]);
		tcp_entry[index].status =  ACK_FLAG;
		create_new_tcp_packet(0,index);
		return;
	}
	
	return;
}









